import React from "react";
import { useRouteError } from "react-router-dom";
import "@scss/error.scss"

type ErrorProps = {
    err?: Error
}

export default function ErrorPage({err} : ErrorProps) {
    const error: any = err || useRouteError(); 
    console.error(error);

    return (
        <main>
            <div id="error-page">
                <h1>Oops!</h1>
                <p>Sorry, an unexpected error has occurred.</p>
                <p>
                    <i>{error.statusText || error.message}</i>
                </p>
            </div>
        </main>
    );
}
