import * as React from "react";
import { createRoot } from "react-dom/client";
import { createBrowserRouter, Navigate, RouterProvider } from "react-router-dom";
import { MetadataSetter, ErrorPage, Login, ForgotPassword, Reset, Transactions, AuthComponent } from "@components";


const router = createBrowserRouter([
  {
    path: "/",
    element:
        <MetadataSetter title="Transactions" bodyClass="transactions" needsAuth>
          <Transactions />
        </MetadataSetter>,
    errorElement: 
    <MetadataSetter title="Error" bodyClass="error">
      <ErrorPage />
    </MetadataSetter>
  },
  {
    path: "/login",
    element: 
    <MetadataSetter title="Login" bodyClass="login">
      <Login />
    </MetadataSetter>
  },
  {
    path: "/forgot",
    element: 
    <MetadataSetter title="Forgot Password" bodyClass="forgot">
      <ForgotPassword />
    </MetadataSetter>
  },
  {
    path: "/reset",
    element: 
    <MetadataSetter title="Reset Password" bodyClass="reset">
      <Reset />
    </MetadataSetter>
  },
]);

createRoot(document.querySelector("#root")).render(
  <React.StrictMode>
    <RouterProvider router={router} />
  </React.StrictMode>
);
